# Amplicode-company-app Application

This project based on [React Admin](https://marmelab.com/react-admin/) framework 
and generated via Amplicode Frontend Code Generator. \
More details about project structure and concepts could be found 
in [Amplicode Frontend Generator](https://github.com/Amplicode/amplicode-frontend#readme) docs. 

## Available Scripts

Project used [Vite](https://vitejs.dev) as a build tool. 
In the project directory, you can run:

### `npm run dev`

Runs the app in the development mode.\
Open [http://localhost:3000](http://localhost:3000) to view it in your browser.

The page will reload when you make changes.

### `npm test`

Launches the test runner in the interactive watch mode.

### `npm run build`

Builds the app for production to the `./dist` folder.\
It correctly bundles React in production mode and optimizes the build for the best performance.

The build is minified and the filenames include the hashes.\
Your app is ready to be deployed!

### `npm run preview`

Runs a local web server that serves the built solution from `./dist` for locally preview production build.

### `npm run generate`

Runs [GraphQL Types Generator](https://github.com/dotansimha/graphql-code-generator), 
which creates Typescript types based on queries and mutations, used in components.

### `npm run generate:watch`

Runs GraphQL Types Generator in interactive watch mode.

### `npm run lint`

Runs `eslint` checks on app.